commit:     c7179010c07987b30862a61422b0f8c9f07585cc
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 13 16:24:27 2020 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jun 13 16:30:05 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7179010

sci-astronomy/pyephem: Bump to 3.7.7.1

Bug: https://bugs.gentoo.org/718464
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 sci-astronomy/pyephem/Manifest               |  1 +
 sci-astronomy/pyephem/pyephem-3.7.7.1.ebuild | 48 ++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/sci-astronomy/pyephem/Manifest b/sci-astronomy/pyephem/Manifest
index cbf430afc0c..57f82a81b8d 100644
--- a/sci-astronomy/pyephem/Manifest
+++ b/sci-astronomy/pyephem/Manifest
@@ -1 +1,2 @@
 DIST pyephem-3.7.6.0.tar.gz 739561 BLAKE2B 
a8129632514940e6d786dcc50d2dd0bd1fff2b76b9d59f88820c93cce3400f9b15c4f7418bc778ee5ad60a8909a970aaea5df62c5192fcb71f822b97abc0dc4f
 SHA512 
c3013ef943c0e1e2c30bba6f72912efb100b4c8c45904b7d6d7ba73d8b741564793a6e538117eb88abb824c93c874e2c955de734418ebd2370888718a149c9a8
+DIST pyephem-3.7.7.1.tar.gz 1622306 BLAKE2B 
aefdd7b7e4471140f1c2b5c065f663dfb1095d8d8325e23d4b5b9c683ff7a91020151429a992ad78be897ab738d9bc207afa337b7806fb244d6d6c8a1c680b7f
 SHA512 
ae0d9562f33ee25065b33ea3d4b24a74e32259bebb07edf37deacaa77e6d24b3a7a49e4602393b45a3c7cfc7d8088f038e68e96ec3576a796b5486fc2946ac5a

diff --git a/sci-astronomy/pyephem/pyephem-3.7.7.1.ebuild 
b/sci-astronomy/pyephem/pyephem-3.7.7.1.ebuild
new file mode 100644
index 00000000000..4bd9bd962ee
--- /dev/null
+++ b/sci-astronomy/pyephem/pyephem-3.7.7.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Astronomical routines for the python programming language"
+HOMEPAGE="https://rhodesmill.org/pyephem/";
+SRC_URI="https://github.com/brandon-rhodes/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+DEPEND="doc? ( dev-python/sphinx )"
+RDEPEND=""
+
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+       # Don't install rst files by dfefault
+       sed -i -e "s:'doc/\*\.rst',::" setup.py || die
+       distutils-r1_src_prepare
+}
+
+src_compile() {
+       distutils-r1_src_compile
+       if use doc; then
+               PYTHONPATH=. emake -C ephem/doc html
+       fi
+}
+
+python_test() {
+       PYTHONPATH="$(ls -d ${BUILD_DIR}/lib*)" unit2 discover -s ephem
+}
+
+src_install() {
+       use doc && HTML_DOCS=( ephem/doc/_build/html/. )
+       distutils-r1_src_install
+
+       delete_tests() {
+               rm -r "${D}$(python_get_sitedir)/ephem/tests" || die
+       }
+       python_foreach_impl delete_tests
+}

Reply via email to